Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global repo_name pidgin-opensteamworks
%global plugin_name libsteam
%global dir_name steam-mobile

Name: purple-%{plugin_name}
Version: 1.7.1
Release: alt1_4

License: GPL-3.0-or-later
URL: https://github.com/EionRobb/%{repo_name}
Summary: Steam plugin for Pidgin/Adium/libpurple
Source0: https://github.com/EionRobb/%{repo_name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(zlib)

BuildRequires: gcc
Source44: import.info

%package -n pidgin-%{plugin_name}
Group: Other
Summary: Adds pixmaps, icons and smileys for Steam protocol
BuildArch: noarch
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pidgin

%description
Adds support for Steam to Pidgin, Adium, Finch and other libpurple 
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Steam protocol implemented by steam-mobile.

%prep
%setup -q -n %{repo_name}-%{version}


# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build

%make_build -C %{dir_name}

%install
%makeinstall_std -C %{dir_name}
chmod 755 %{buildroot}%{_libdir}/purple-2/%{plugin_name}.so

%files
%{_libdir}/purple-2/%{plugin_name}.so
%doc README.md
%doc --no-dereference %{dir_name}/LICENSE

%files -n pidgin-%{plugin_name}
%{_datadir}/pixmaps/pidgin/protocols/*/steam.png

%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_4
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_3
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_2
- update to new release by fcimport

* Tue Nov 02 2021 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.7-alt2_5
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.7-alt2_4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.7-alt2_3
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_3
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_2
- update to new release by fcimport

* Tue Oct 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_1
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_26.20190117gitfeece3c
- new version

